Advisory Details

April 8th, 2016

(Pwn2Own) Adobe Flash AS2 NetConnection Type Confusion Remote Code Execution Vulnerability

ZDI-16-227
ZDI-CAN-3608

CVE ID CVE-2016-1015
CVSS SCORE 6.8, (AV:N/AC:M/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Adobe
AFFECTED PRODUCTS Flash
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 24027. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Adobe Flash. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the NetConnection objects. By overriding specific object properties, it is possible to trigger a type confusion condition. An attacker can leverage this vulnerability to execute arbitrary code under the context of the current process.

ADDITIONAL DETAILS Adobe has issued an update to correct this vulnerability. More details can be found at:
https://helpx.adobe.com/security/products/flash-player/apsb16-10.html
DISCLOSURE TIMELINE
  • 2016-03-16 - Vulnerability reported to vendor
  • 2016-04-08 - Coordinated public release of advisory
CREDIT Yuki Chen of Qihoo 360 Vulcan Team
BACK TO ADVISORIES